Perl upgrades.

Forum Forums News Sid Upgraders Perl upgrades.

  • This topic has 2 replies, 2 voices, and was last updated Nov 10-5:10 am by anticapitalista.
Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #12941
    Forum Admin
    anticapitalistaanticapitalista

    This is from the siduction team. Follow their advice.

    Keep calm and don’t hit until the very most of the transition is done. The perl transitions are normally hard and fast – and this time a transition really can wreck a system and make it unusable. So please be patient.

    siduction upgrade warning

    Philosophers have interpreted the world in many ways; the point is to change it.

    antiX with runit - leaner and meaner.

    #13002
    Member
    XaverXaver

    Thank you for the warning.
    According to https://www.debian.org/Bugs/ the perl transition is almost complete now (98%).
    On my system I now have upgraded perl – no removals anymore.

    There still are two problems with perl 5.28:
    1) error #912684 concerning libextutils-parsexs-perl (which I do not use).
    2) apt-show-versions should be purged, because it is said to break apt:
    https://forum.siduction.org/index.php?PHPSESSID=5kgsgsl845d7v1lqfapb1haej7&topic=7421.0

    • This reply was modified 1 year, 2 months ago by Xaver.
    #13289
    Forum Admin
    anticapitalistaanticapitalista

    2. is now fixed.

    sid users should be ok to dist-upgrade now, but be aware that there are many changes taking place including many apps needing systemd.
    So you might see libsystemd0 as a dependency. Either go ahead and live with libsystemd0 for a while or wait until antiX packages and uploads nonsystemd versions eg samba, sane-utils, tor (these are recent)

    Philosophers have interpreted the world in many ways; the point is to change it.

    antiX with runit - leaner and meaner.

Viewing 3 posts - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.